aboutsummaryrefslogtreecommitdiff
path: root/third_party/curve25519-donna-c64/compiler.sh
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/curve25519-donna-c64/compiler.sh')
-rwxr-xr-xthird_party/curve25519-donna-c64/compiler.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/third_party/curve25519-donna-c64/compiler.sh b/third_party/curve25519-donna-c64/compiler.sh
new file mode 100755
index 000000000..29885a152
--- /dev/null
+++ b/third_party/curve25519-donna-c64/compiler.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+set -eu
+
+gcc -march=native -mtune=native -std=gnu11 -O3 -flto -fomit-frame-pointer -fwrapv -Wno-attributes -lcrypto $@